
_Init_PIC:

;init_pic16f182x.c,10 :: 		void Init_PIC () {
;init_pic16f182x.c,13 :: 		ANSELA = 0b00000000;     //
	CLRF       ANSELA+0
;init_pic16f182x.c,15 :: 		ANSELC = 0b00000000;     //
	CLRF       ANSELC+0
;init_pic16f182x.c,16 :: 		ADCON0 = 0b00000000;     //
	CLRF       ADCON0+0
;init_pic16f182x.c,17 :: 		ADCON1 = 0b10100000;     // Vdd, Vss, Fosc/32, Dx justified
	MOVLW      160
	MOVWF      ADCON1+0
;init_pic16f182x.c,23 :: 		C1ON_bit = 0;            // Disable comparators
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;init_pic16f182x.c,24 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;init_pic16f182x.c,27 :: 		OSCCON = 0b11110000;     // Oscillatore 8MHz + PLL = 32MHz
	MOVLW      240
	MOVWF      OSCCON+0
;init_pic16f182x.c,35 :: 		INTCON &= 0b00111111;     // Disabilita interrupt
	MOVLW      63
	ANDWF      INTCON+0, 1
;init_pic16f182x.c,38 :: 		CCP1CON = 0b00000000;     // 0b00001100
	CLRF       CCP1CON+0
;init_pic16f182x.c,39 :: 		CCP2CON = 0b00000000;
	CLRF       CCP2CON+0
;init_pic16f182x.c,47 :: 		PORTA = 0;
	CLRF       PORTA+0
;init_pic16f182x.c,49 :: 		PORTC = 0;
	CLRF       PORTC+0
;init_pic16f182x.c,50 :: 		TRISA = 0b11001011;       // presenti: --XXXXXX
	MOVLW      203
	MOVWF      TRISA+0
;init_pic16f182x.c,52 :: 		TRISC = 0b11000010;       // presenti: --XXXXXX
	MOVLW      194
	MOVWF      TRISC+0
;init_pic16f182x.c,53 :: 		WPUA = 0b00001000;        // PULL-UP
	MOVLW      8
	MOVWF      WPUA+0
;init_pic16f182x.c,55 :: 		WPUC = 0b00111010;        // PULL-UP
	MOVLW      58
	MOVWF      WPUC+0
;init_pic16f182x.c,56 :: 		OPTION_REG.B7 =0;         // Weak pull-ups are enabled
	BCF        OPTION_REG+0, 7
;init_pic16f182x.c,58 :: 		}
L_end_Init_PIC:
	RETURN
; end of _Init_PIC

_Send_str_595:

;nokia3310_lib_2_wire.c,177 :: 		void Send_str_595 () {
;nokia3310_lib_2_wire.c,180 :: 		buf = value_lcd;
	MOVF       _value_lcd+0, 0
	MOVWF      R2+0
;nokia3310_lib_2_wire.c,181 :: 		for (i=0; i<mark; i++) {          // 4 o 6!
	CLRF       R1+0
L_Send_str_5950:
	MOVLW      4
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Send_str_5951
;nokia3310_lib_2_wire.c,182 :: 		data_595 = buf.B0;             // Data 595
	BTFSC      R2+0, 0
	GOTO       L__Send_str_59583
	BCF        LATA5_bit+0, BitPos(LATA5_bit+0)
	GOTO       L__Send_str_59584
L__Send_str_59583:
	BSF        LATA5_bit+0, BitPos(LATA5_bit+0)
L__Send_str_59584:
;nokia3310_lib_2_wire.c,183 :: 		clk_595 =1;                   // Clock 595
	BSF        LATA4_bit+0, BitPos(LATA4_bit+0)
;nokia3310_lib_2_wire.c,184 :: 		buf >>= 1;
	LSRF       R2+0, 1
;nokia3310_lib_2_wire.c,185 :: 		Delay_us (2);
	MOVLW      5
	MOVWF      R13
L_Send_str_5953:
	DECFSZ     R13, 1
	GOTO       L_Send_str_5953
;nokia3310_lib_2_wire.c,186 :: 		clk_595 =0;
	BCF        LATA4_bit+0, BitPos(LATA4_bit+0)
;nokia3310_lib_2_wire.c,181 :: 		for (i=0; i<mark; i++) {          // 4 o 6!
	INCF       R1+0, 1
;nokia3310_lib_2_wire.c,187 :: 		}
	GOTO       L_Send_str_5950
L_Send_str_5951:
;nokia3310_lib_2_wire.c,188 :: 		Delay_us(2);           // ATTENZIONE: se il 74HC595 NON  HC, variare il tempo
	MOVLW      5
	MOVWF      R13
L_Send_str_5954:
	DECFSZ     R13, 1
	GOTO       L_Send_str_5954
;nokia3310_lib_2_wire.c,194 :: 		}
L_end_Send_str_595:
	RETURN
; end of _Send_str_595

_Delay_2us:

;nokia3310_lib_2_wire.c,196 :: 		void Delay_2us () {
;nokia3310_lib_2_wire.c,197 :: 		asm nop
	NOP
;nokia3310_lib_2_wire.c,198 :: 		}
L_end_Delay_2us:
	RETURN
; end of _Delay_2us

_initlcd:

;nokia3310_lib_2_wire.c,200 :: 		void initlcd(void){
;nokia3310_lib_2_wire.c,201 :: 		_RST = 1;   Send_str_595 ();   // Set _RES HIGH.
	BSF        _value_lcd+0, 4
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,202 :: 		Delay_msec(2);
	MOVLW      2
	MOVWF      FARG_Delay_msec+0
	MOVLW      0
	MOVWF      FARG_Delay_msec+1
	CALL       _Delay_msec+0
;nokia3310_lib_2_wire.c,203 :: 		_SCE = 0;                     // Enable Chip.
	BCF        _value_lcd+0, 1
;nokia3310_lib_2_wire.c,204 :: 		Send_str_595 ();
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,205 :: 		Delay_msec(2);
	MOVLW      2
	MOVWF      FARG_Delay_msec+0
	MOVLW      0
	MOVWF      FARG_Delay_msec+1
	CALL       _Delay_msec+0
;nokia3310_lib_2_wire.c,206 :: 		_RST = 0;  Send_str_595 ();    // Reset the LCD.
	BCF        _value_lcd+0, 4
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,207 :: 		Delay_msec(100);   // Wait 100ms.
	MOVLW      100
	MOVWF      FARG_Delay_msec+0
	MOVLW      0
	MOVWF      FARG_Delay_msec+1
	CALL       _Delay_msec+0
;nokia3310_lib_2_wire.c,208 :: 		_RST = 1;  Send_str_595 ();    // Awake LCD from RESET state.
	BSF        _value_lcd+0, 4
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,209 :: 		Delay_msec(2);
	MOVLW      2
	MOVWF      FARG_Delay_msec+0
	MOVLW      0
	MOVWF      FARG_Delay_msec+1
	CALL       _Delay_msec+0
;nokia3310_lib_2_wire.c,211 :: 		writecom(0x21);      // Activate Chip and H=1.
	MOVLW      33
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,212 :: 		writecom(0xC2);      // Set LCD Voltage to about 7V.
	MOVLW      194
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,213 :: 		writecom(0x13);      // Adjust voltage bias.
	MOVLW      19
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,214 :: 		writecom(0x20);      // Horizontal addressing and H=0.
	MOVLW      32
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,215 :: 		writecom(0x09);      // Activate all segments.
	MOVLW      9
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,216 :: 		delay_ms(100);
	MOVLW      5
	MOVWF      R11
	MOVLW      15
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L_initlcd5:
	DECFSZ     R13, 1
	GOTO       L_initlcd5
	DECFSZ     R12, 1
	GOTO       L_initlcd5
	DECFSZ     R11, 1
	GOTO       L_initlcd5
;nokia3310_lib_2_wire.c,217 :: 		writecom(0x08);      // Blank the Display.
	MOVLW      8
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,218 :: 		delay_msec(100);
	MOVLW      100
	MOVWF      FARG_Delay_msec+0
	MOVLW      0
	MOVWF      FARG_Delay_msec+1
	CALL       _Delay_msec+0
;nokia3310_lib_2_wire.c,219 :: 		writecom(0x0C);      // Display Normal.
	MOVLW      12
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,220 :: 		delay_msec(100);
	MOVLW      100
	MOVWF      FARG_Delay_msec+0
	MOVLW      0
	MOVWF      FARG_Delay_msec+1
	CALL       _Delay_msec+0
;nokia3310_lib_2_wire.c,221 :: 		cursorxy(0,0);      // Cursor Home.
	CLRF       FARG_cursorxy+0
	CLRF       FARG_cursorxy+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,222 :: 		clearram();
	CALL       _clearram+0
;nokia3310_lib_2_wire.c,223 :: 		}
L_end_initlcd:
	RETURN
; end of _initlcd

_writecom:

;nokia3310_lib_2_wire.c,226 :: 		void writecom(char command_in){
;nokia3310_lib_2_wire.c,227 :: 		D_C = 0; Send_str_595 ();           // Select Command register.
	BCF        _value_lcd+0, 0
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,228 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,229 :: 		_SCE = 0; Send_str_595 ();           // Select Chip.
	BCF        _value_lcd+0, 1
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,230 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,231 :: 		clockdata(command_in);   // Clock in command bits.
	MOVF       FARG_writecom_command_in+0, 0
	MOVWF      FARG_clockdata+0
	CALL       _clockdata+0
;nokia3310_lib_2_wire.c,232 :: 		_SCE = 1; Send_str_595 ();           // Deselect Chip.
	BSF        _value_lcd+0, 1
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,233 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,234 :: 		}
L_end_writecom:
	RETURN
; end of _writecom

_writedata:

;nokia3310_lib_2_wire.c,236 :: 		void writedata(char data_in){
;nokia3310_lib_2_wire.c,237 :: 		D_C = 1; Send_str_595 ();           // Select Data register.
	BSF        _value_lcd+0, 0
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,238 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,239 :: 		_SCE = 0; Send_str_595 ();           // Select Chip.
	BCF        _value_lcd+0, 1
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,240 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,241 :: 		clockdata(data_in);      // Clock in data bits.
	MOVF       FARG_writedata_data_in+0, 0
	MOVWF      FARG_clockdata+0
	CALL       _clockdata+0
;nokia3310_lib_2_wire.c,242 :: 		_SCE = 1; Send_str_595 ();           // Deselect Chip.
	BSF        _value_lcd+0, 1
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,243 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,244 :: 		}
L_end_writedata:
	RETURN
; end of _writedata

_clockdata:

;nokia3310_lib_2_wire.c,246 :: 		void clockdata(char bits_in){
;nokia3310_lib_2_wire.c,248 :: 		for (bitcnt=8; bitcnt>0; bitcnt--) {
	MOVLW      8
	MOVWF      clockdata_bitcnt_L0+0
	MOVLW      0
	MOVWF      clockdata_bitcnt_L0+1
L_clockdata6:
	MOVLW      128
	MOVWF      R0
	MOVLW      128
	XORWF      clockdata_bitcnt_L0+1, 0
	SUBWF      R0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__clockdata90
	MOVF       clockdata_bitcnt_L0+0, 0
	SUBLW      0
L__clockdata90:
	BTFSC      STATUS+0, 0
	GOTO       L_clockdata7
;nokia3310_lib_2_wire.c,249 :: 		SCK = 0; Send_str_595 ();
	BCF        _value_lcd+0, 2
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,250 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,252 :: 		if ((bits_in&0x80)==0x80){       // PCD8544 clocks in the MSb first.
	MOVLW      128
	ANDWF      FARG_clockdata_bits_in+0, 0
	MOVWF      R1
	MOVF       R1, 0
	XORLW      128
	BTFSS      STATUS+0, 2
	GOTO       L_clockdata9
;nokia3310_lib_2_wire.c,253 :: 		SDI=1; Send_str_595 ();
	BSF        _value_lcd+0, 3
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,254 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,255 :: 		}
	GOTO       L_clockdata10
L_clockdata9:
;nokia3310_lib_2_wire.c,257 :: 		SDI=0;Send_str_595 ();
	BCF        _value_lcd+0, 3
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,258 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,259 :: 		}
L_clockdata10:
;nokia3310_lib_2_wire.c,260 :: 		SCK = 1; Send_str_595 ();      // Data is clocked on the rising edge of SCK.
	BSF        _value_lcd+0, 2
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,261 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,264 :: 		bits_in = bits_in<<1;
	LSLF       FARG_clockdata_bits_in+0, 1
;nokia3310_lib_2_wire.c,248 :: 		for (bitcnt=8; bitcnt>0; bitcnt--) {
	MOVLW      1
	SUBWF      clockdata_bitcnt_L0+0, 1
	MOVLW      0
	SUBWFB     clockdata_bitcnt_L0+1, 1
;nokia3310_lib_2_wire.c,267 :: 		}
	GOTO       L_clockdata6
L_clockdata7:
;nokia3310_lib_2_wire.c,268 :: 		}
L_end_clockdata:
	RETURN
; end of _clockdata

_clearram:

;nokia3310_lib_2_wire.c,270 :: 		void clearram(void){
;nokia3310_lib_2_wire.c,272 :: 		cursorxy(0,0);
	CLRF       FARG_cursorxy+0
	CLRF       FARG_cursorxy+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,274 :: 		for (ddram=504;ddram>0;ddram--)   writedata(0x00);  // 6*84 = 504 DDRAM addresses.
	MOVLW      248
	MOVWF      clearram_ddram_L0+0
	MOVLW      1
	MOVWF      clearram_ddram_L0+1
L_clearram11:
	MOVLW      128
	MOVWF      R0
	MOVLW      128
	XORWF      clearram_ddram_L0+1, 0
	SUBWF      R0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__clearram92
	MOVF       clearram_ddram_L0+0, 0
	SUBLW      0
L__clearram92:
	BTFSC      STATUS+0, 0
	GOTO       L_clearram12
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
	MOVLW      1
	SUBWF      clearram_ddram_L0+0, 1
	MOVLW      0
	SUBWFB     clearram_ddram_L0+1, 1
	GOTO       L_clearram11
L_clearram12:
;nokia3310_lib_2_wire.c,275 :: 		}
L_end_clearram:
	RETURN
; end of _clearram

_cursorxy:

;nokia3310_lib_2_wire.c,277 :: 		void cursorxy(char x, char y){
;nokia3310_lib_2_wire.c,278 :: 		writecom(0x40|(y&0x07));   // Y axis
	MOVLW      7
	ANDWF      FARG_cursorxy_y+0, 0
	MOVWF      R0
	MOVLW      64
	IORWF       R0, 0
	MOVWF      FARG_writecom_command_in+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,279 :: 		writecom(0x80|(x&0x7f));   // X axis
	MOVLW      127
	ANDWF      FARG_cursorxy_x+0, 0
	MOVWF      R0
	MOVLW      128
	IORWF       R0, 0
	MOVWF      FARG_writecom_command_in+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,280 :: 		}
L_end_cursorxy:
	RETURN
; end of _cursorxy

_Set_Colonna_x:

;nokia3310_lib_2_wire.c,282 :: 		void Set_Colonna_x(char x){
;nokia3310_lib_2_wire.c,283 :: 		writecom(0x80|(x&0x7f));   // X axis
	MOVLW      127
	ANDWF      FARG_Set_Colonna_x_x+0, 0
	MOVWF      R0
	MOVLW      128
	IORWF       R0, 0
	MOVWF      FARG_writecom_command_in+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,284 :: 		}
L_end_Set_Colonna_x:
	RETURN
; end of _Set_Colonna_x

_Set_Page_y:

;nokia3310_lib_2_wire.c,286 :: 		void Set_Page_y(char y){
;nokia3310_lib_2_wire.c,287 :: 		writecom(0x40|(y&0x07));   // Y axis
	MOVLW      7
	ANDWF      FARG_Set_Page_y_y+0, 0
	MOVWF      R0
	MOVLW      64
	IORWF       R0, 0
	MOVWF      FARG_writecom_command_in+0
	CALL       _writecom+0
;nokia3310_lib_2_wire.c,288 :: 		}
L_end_Set_Page_y:
	RETURN
; end of _Set_Page_y

_nokia_erase_y:

;nokia3310_lib_2_wire.c,290 :: 		void nokia_erase_y(char ynokia) {
;nokia3310_lib_2_wire.c,293 :: 		for(row=0;row<79;row++) {
	CLRF       nokia_erase_y_row_L0+0
L_nokia_erase_y14:
	MOVLW      79
	SUBWF      nokia_erase_y_row_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_nokia_erase_y15
;nokia3310_lib_2_wire.c,294 :: 		cursorxy(row,ynokia);
	MOVF       nokia_erase_y_row_L0+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       FARG_nokia_erase_y_ynokia+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,295 :: 		putchar(' ');
	MOVLW      32
	MOVWF      FARG_putchar+0
	CALL       _putchar+0
;nokia3310_lib_2_wire.c,293 :: 		for(row=0;row<79;row++) {
	INCF       nokia_erase_y_row_L0+0, 1
;nokia3310_lib_2_wire.c,296 :: 		}
	GOTO       L_nokia_erase_y14
L_nokia_erase_y15:
;nokia3310_lib_2_wire.c,297 :: 		}
L_end_nokia_erase_y:
	RETURN
; end of _nokia_erase_y

_nokia_erase_x:

;nokia3310_lib_2_wire.c,299 :: 		void nokia_erase_x(char xnokia) {
;nokia3310_lib_2_wire.c,302 :: 		for (column=0;column!=6;column++){
	CLRF       nokia_erase_x_column_L0+0
L_nokia_erase_x17:
	MOVF       nokia_erase_x_column_L0+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_nokia_erase_x18
;nokia3310_lib_2_wire.c,303 :: 		cursorxy(xnokia,column);
	MOVF       FARG_nokia_erase_x_xnokia+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       nokia_erase_x_column_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,304 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_2_wire.c,305 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_2_wire.c,306 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_2_wire.c,307 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_2_wire.c,308 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_2_wire.c,309 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_2_wire.c,302 :: 		for (column=0;column!=6;column++){
	INCF       nokia_erase_x_column_L0+0, 1
;nokia3310_lib_2_wire.c,310 :: 		}
	GOTO       L_nokia_erase_x17
L_nokia_erase_x18:
;nokia3310_lib_2_wire.c,311 :: 		}
L_end_nokia_erase_x:
	RETURN
; end of _nokia_erase_x

_Draw_line_oriz_3310:

;nokia3310_lib_2_wire.c,313 :: 		void Draw_line_oriz_3310(unsigned short X1, unsigned short X2, unsigned short posizione) {
;nokia3310_lib_2_wire.c,317 :: 		}
L_end_Draw_line_oriz_3310:
	RETURN
; end of _Draw_line_oriz_3310

_putchar:

;nokia3310_lib_2_wire.c,319 :: 		void putchar(char character){
;nokia3310_lib_2_wire.c,323 :: 		if ((character<0x20)||(character>0x7f)) {return;} // Exit function if character is not found.
	MOVLW      32
	SUBWF      FARG_putchar_character+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L__putchar79
	MOVF       FARG_putchar_character+0, 0
	SUBLW      127
	BTFSS      STATUS+0, 0
	GOTO       L__putchar79
	GOTO       L_putchar22
L__putchar79:
	GOTO       L_end_putchar
L_putchar22:
;nokia3310_lib_2_wire.c,324 :: 		tablept = ((5*character) - 160);
	MOVLW      5
	MOVWF      R0
	MOVF       FARG_putchar_character+0, 0
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVLW      160
	SUBWF      R0, 0
	MOVWF      putchar_tablept_L0+0
	MOVLW      0
	SUBWFB     R1, 0
	MOVWF      putchar_tablept_L0+1
;nokia3310_lib_2_wire.c,328 :: 		for (count=5;count>0;count--) {
	MOVLW      5
	MOVWF      putchar_count_L0+0
L_putchar23:
	MOVF       putchar_count_L0+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_putchar24
;nokia3310_lib_2_wire.c,329 :: 		char_column = table[tablept];
	MOVLW      _table+0
	ADDWF      putchar_tablept_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_table+0)
	ADDWFC     putchar_tablept_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_writedata_data_in+0
;nokia3310_lib_2_wire.c,330 :: 		writedata(char_column);
	CALL       _writedata+0
;nokia3310_lib_2_wire.c,331 :: 		tablept++;
	INCF       putchar_tablept_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       putchar_tablept_L0+1, 1
;nokia3310_lib_2_wire.c,328 :: 		for (count=5;count>0;count--) {
	DECF       putchar_count_L0+0, 1
;nokia3310_lib_2_wire.c,332 :: 		}
	GOTO       L_putchar23
L_putchar24:
;nokia3310_lib_2_wire.c,333 :: 		writedata(0x00);    // 1 pixel spacing per character.
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_2_wire.c,336 :: 		}
L_end_putchar:
	RETURN
; end of _putchar

_putstr:

;nokia3310_lib_2_wire.c,338 :: 		void putstr(const char *s){
;nokia3310_lib_2_wire.c,339 :: 		while(*s) {putchar(*s++);}
L_putstr26:
	MOVF       FARG_putstr_s+0, 0
	MOVWF      FSR0L
	MOVF       FARG_putstr_s+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	MOVF       R0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_putstr27
	MOVF       FARG_putstr_s+0, 0
	MOVWF      FSR0L
	MOVF       FARG_putstr_s+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
	INCF       FARG_putstr_s+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_putstr_s+1, 1
	GOTO       L_putstr26
L_putstr27:
;nokia3310_lib_2_wire.c,341 :: 		}
L_end_putstr:
	RETURN
; end of _putstr

_Write_String:

;nokia3310_lib_2_wire.c,348 :: 		void Write_String(char string[], unsigned char Page, unsigned char colonna) {
;nokia3310_lib_2_wire.c,349 :: 		unsigned short i = 0, temp_count, _Data;
	CLRF       Write_String_i_L0+0
;nokia3310_lib_2_wire.c,352 :: 		cursorxy(colonna, (Page & 0x0F));      // Numero di pagina e colonna
	MOVF       FARG_Write_String_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVLW      15
	ANDWF      FARG_Write_String_Page+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,354 :: 		temp_count = 0;
	CLRF       Write_String_temp_count_L0+0
;nokia3310_lib_2_wire.c,356 :: 		while (string [i] != 0) {
L_Write_String28:
	MOVF       Write_String_i_L0+0, 0
	ADDWF      FARG_Write_String_string+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_Write_String_string+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_Write_String29
;nokia3310_lib_2_wire.c,358 :: 		temp = string [i];
	MOVF       Write_String_i_L0+0, 0
	ADDWF      FARG_Write_String_string+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_Write_String_string+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      Write_String_temp_L0+0
	CLRF       Write_String_temp_L0+1
	MOVLW      0
	MOVWF      Write_String_temp_L0+1
;nokia3310_lib_2_wire.c,359 :: 		temp -= 0x20;
	MOVLW      32
	SUBWF      Write_String_temp_L0+0, 0
	MOVWF      R0
	MOVLW      0
	SUBWFB     Write_String_temp_L0+1, 0
	MOVWF      R1
	MOVF       R0, 0
	MOVWF      Write_String_temp_L0+0
	MOVF       R1, 0
	MOVWF      Write_String_temp_L0+1
;nokia3310_lib_2_wire.c,360 :: 		temp *= 5;
	MOVLW      5
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	CALL       _Mul_16X16_U+0
	MOVF       R0, 0
	MOVWF      Write_String_temp_L0+0
	MOVF       R1, 0
	MOVWF      Write_String_temp_L0+1
;nokia3310_lib_2_wire.c,362 :: 		while (temp_count <= 4) {
L_Write_String30:
	MOVF       Write_String_temp_count_L0+0, 0
	SUBLW      4
	BTFSS      STATUS+0, 0
	GOTO       L_Write_String31
;nokia3310_lib_2_wire.c,363 :: 		if (Page.F7) _Data = ~table[temp];
	BTFSS      FARG_Write_String_Page+0, 7
	GOTO       L_Write_String32
	MOVLW      _table+0
	ADDWF      Write_String_temp_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_table+0)
	ADDWFC     Write_String_temp_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	COMF       R0, 0
	MOVWF      Write_String__Data_L0+0
	GOTO       L_Write_String33
L_Write_String32:
;nokia3310_lib_2_wire.c,364 :: 		else _Data = table[temp];
	MOVLW      _table+0
	ADDWF      Write_String_temp_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_table+0)
	ADDWFC     Write_String_temp_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      Write_String__Data_L0+0
L_Write_String33:
;nokia3310_lib_2_wire.c,365 :: 		writedata(_Data);
	MOVF       Write_String__Data_L0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_2_wire.c,366 :: 		temp_count ++;
	INCF       Write_String_temp_count_L0+0, 1
;nokia3310_lib_2_wire.c,367 :: 		temp ++;
	INCF       Write_String_temp_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Write_String_temp_L0+1, 1
;nokia3310_lib_2_wire.c,368 :: 		}
	GOTO       L_Write_String30
L_Write_String31:
;nokia3310_lib_2_wire.c,370 :: 		if (Page.F7) writedata(0xFF);         // Spazio tra caratteri
	BTFSS      FARG_Write_String_Page+0, 7
	GOTO       L_Write_String34
	MOVLW      255
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_Write_String35
L_Write_String34:
;nokia3310_lib_2_wire.c,371 :: 		else writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
L_Write_String35:
;nokia3310_lib_2_wire.c,372 :: 		i ++;
	INCF       Write_String_i_L0+0, 1
;nokia3310_lib_2_wire.c,373 :: 		temp_count = 0;
	CLRF       Write_String_temp_count_L0+0
;nokia3310_lib_2_wire.c,374 :: 		}
	GOTO       L_Write_String28
L_Write_String29:
;nokia3310_lib_2_wire.c,375 :: 		}
L_end_Write_String:
	RETURN
; end of _Write_String

_Write_Bitmap:

;nokia3310_lib_2_wire.c,380 :: 		void Write_Bitmap(char bmp) {
;nokia3310_lib_2_wire.c,382 :: 		unsigned int bitmap_byte=0;
	CLRF       Write_Bitmap_bitmap_byte_L0+0
	CLRF       Write_Bitmap_bitmap_byte_L0+1
;nokia3310_lib_2_wire.c,384 :: 		cursorxy(0, 0);
	CLRF       FARG_cursorxy_x+0
	CLRF       FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,386 :: 		D_C = 1; Send_str_595 ();           // Select Data register.
	BSF        _value_lcd+0, 0
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,387 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,388 :: 		_SCE = 0; Send_str_595 ();           // Select Chip.
	BCF        _value_lcd+0, 1
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,389 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_2_wire.c,390 :: 		do {
L_Write_Bitmap36:
;nokia3310_lib_2_wire.c,391 :: 		if (bmp == 0) writedata (bmp1 [bitmap_byte]);
	MOVF       FARG_Write_Bitmap_bmp+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Bitmap39
	MOVLW      _bmp1+0
	ADDWF      Write_Bitmap_bitmap_byte_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_bmp1+0)
	ADDWFC     Write_Bitmap_bitmap_byte_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_Write_Bitmap40
L_Write_Bitmap39:
;nokia3310_lib_2_wire.c,392 :: 		else if (bmp == 1) writedata (JUMBO70x40 [bitmap_byte]);
	MOVF       FARG_Write_Bitmap_bmp+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Bitmap41
	MOVLW      _JUMBO70x40+0
	ADDWF      Write_Bitmap_bitmap_byte_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_JUMBO70x40+0)
	ADDWFC     Write_Bitmap_bitmap_byte_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_Write_Bitmap42
L_Write_Bitmap41:
;nokia3310_lib_2_wire.c,393 :: 		else if (bmp == 2) writedata (mikro_bmp [bitmap_byte]);
	MOVF       FARG_Write_Bitmap_bmp+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Bitmap43
	MOVLW      _mikro_bmp+0
	ADDWF      Write_Bitmap_bitmap_byte_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_mikro_bmp+0)
	ADDWFC     Write_Bitmap_bitmap_byte_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
L_Write_Bitmap43:
L_Write_Bitmap42:
L_Write_Bitmap40:
;nokia3310_lib_2_wire.c,394 :: 		} while (++bitmap_byte <= 503);   // 503
	INCF       Write_Bitmap_bitmap_byte_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Write_Bitmap_bitmap_byte_L0+1, 1
	MOVF       Write_Bitmap_bitmap_byte_L0+1, 0
	SUBLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Write_Bitmap103
	MOVF       Write_Bitmap_bitmap_byte_L0+0, 0
	SUBLW      247
L__Write_Bitmap103:
	BTFSC      STATUS+0, 0
	GOTO       L_Write_Bitmap36
;nokia3310_lib_2_wire.c,395 :: 		_SCE = 1; Send_str_595 ();           // Deselect Chip.
	BSF        _value_lcd+0, 1
	CALL       _Send_str_595+0
;nokia3310_lib_2_wire.c,396 :: 		}
L_end_Write_Bitmap:
	RETURN
; end of _Write_Bitmap

_Draw_line_vert_3310:

;nokia3310_lib_2_wire.c,405 :: 		void Draw_line_vert_3310(unsigned char Y1, unsigned char Y2, unsigned char colonna, char colore) {
;nokia3310_lib_2_wire.c,408 :: 		if (colonna >=84) colonna = 83;
	MOVLW      84
	SUBWF      FARG_Draw_line_vert_3310_colonna+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Draw_line_vert_331044
	MOVLW      83
	MOVWF      FARG_Draw_line_vert_3310_colonna+0
L_Draw_line_vert_331044:
;nokia3310_lib_2_wire.c,409 :: 		if (Y1 >= 48) Y1 = 48;
	MOVLW      48
	SUBWF      FARG_Draw_line_vert_3310_Y1+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Draw_line_vert_331045
	MOVLW      48
	MOVWF      FARG_Draw_line_vert_3310_Y1+0
L_Draw_line_vert_331045:
;nokia3310_lib_2_wire.c,410 :: 		if (Y2 >= 48) Y2 = 48;
	MOVLW      48
	SUBWF      FARG_Draw_line_vert_3310_Y2+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Draw_line_vert_331046
	MOVLW      48
	MOVWF      FARG_Draw_line_vert_3310_Y2+0
L_Draw_line_vert_331046:
;nokia3310_lib_2_wire.c,412 :: 		if (Y1 > Y2) {temp_1 = Y2 ; Y2 = Y1; Y1 = temp_1;}   // X1 sempre > di X2
	MOVF       FARG_Draw_line_vert_3310_Y1+0, 0
	SUBWF      FARG_Draw_line_vert_3310_Y2+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Draw_line_vert_331047
	MOVF       FARG_Draw_line_vert_3310_Y2+0, 0
	MOVWF      Draw_line_vert_3310_temp_1_L0+0
	MOVF       FARG_Draw_line_vert_3310_Y1+0, 0
	MOVWF      FARG_Draw_line_vert_3310_Y2+0
	MOVF       Draw_line_vert_3310_temp_1_L0+0, 0
	MOVWF      FARG_Draw_line_vert_3310_Y1+0
L_Draw_line_vert_331047:
;nokia3310_lib_2_wire.c,413 :: 		page_1 = Y1 >> 3;
	MOVF       FARG_Draw_line_vert_3310_Y1+0, 0
	MOVWF      R2
	LSRF       R2, 1
	LSRF       R2, 1
	LSRF       R2, 1
	MOVF       R2, 0
	MOVWF      Draw_line_vert_3310_page_1_L0+0
;nokia3310_lib_2_wire.c,414 :: 		temp_1 = page_1;
	MOVF       R2, 0
	MOVWF      Draw_line_vert_3310_temp_1_L0+0
;nokia3310_lib_2_wire.c,415 :: 		page_2 = Y2 >> 3;
	MOVF       FARG_Draw_line_vert_3310_Y2+0, 0
	MOVWF      R1
	LSRF       R1, 1
	LSRF       R1, 1
	LSRF       R1, 1
	MOVF       R1, 0
	MOVWF      Draw_line_vert_3310_page_2_L0+0
;nokia3310_lib_2_wire.c,416 :: 		temp_2 = page_2;
	MOVF       R1, 0
	MOVWF      Draw_line_vert_3310_temp_2_L0+0
;nokia3310_lib_2_wire.c,417 :: 		Y1 &= 0x07;
	MOVLW      7
	ANDWF      FARG_Draw_line_vert_3310_Y1+0, 1
;nokia3310_lib_2_wire.c,418 :: 		Y2 &= 0x07;
	MOVLW      7
	ANDWF      FARG_Draw_line_vert_3310_Y2+0, 1
;nokia3310_lib_2_wire.c,420 :: 		if (page_1 == page_2) {
	MOVF       R2, 0
	XORWF      R1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_Draw_line_vert_331048
;nokia3310_lib_2_wire.c,421 :: 		cursorxy(colonna, page_1);
	MOVF       FARG_Draw_line_vert_3310_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       Draw_line_vert_3310_page_1_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,422 :: 		if (colore) writedata (Byte_LOW [Y1] & Byte_HIGH [Y2]); // OR con il dato presente in memoria
	MOVF       FARG_Draw_line_vert_3310_colore+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Draw_line_vert_331049
	MOVLW      _Byte_LOW+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_Byte_LOW+0)
	MOVWF      FSR0H
	MOVF       FARG_Draw_line_vert_3310_Y1+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      R1
	MOVLW      _Byte_HIGH+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_Byte_HIGH+0)
	MOVWF      FSR0H
	MOVF       FARG_Draw_line_vert_3310_Y2+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ANDWF      R1, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_Draw_line_vert_331050
L_Draw_line_vert_331049:
;nokia3310_lib_2_wire.c,423 :: 		else writedata (0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
L_Draw_line_vert_331050:
;nokia3310_lib_2_wire.c,424 :: 		return;
	GOTO       L_end_Draw_line_vert_3310
;nokia3310_lib_2_wire.c,425 :: 		}
L_Draw_line_vert_331048:
;nokia3310_lib_2_wire.c,427 :: 		page_1 += 1;
	INCF       Draw_line_vert_3310_page_1_L0+0, 1
;nokia3310_lib_2_wire.c,428 :: 		if (colore) _data = 0xFF ;
	MOVF       FARG_Draw_line_vert_3310_colore+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Draw_line_vert_331051
	MOVLW      255
	MOVWF      Draw_line_vert_3310__data_L0+0
	GOTO       L_Draw_line_vert_331052
L_Draw_line_vert_331051:
;nokia3310_lib_2_wire.c,429 :: 		else _data = 0x00 ;
	CLRF       Draw_line_vert_3310__data_L0+0
L_Draw_line_vert_331052:
;nokia3310_lib_2_wire.c,430 :: 		while (page_1 < page_2) {
L_Draw_line_vert_331053:
	MOVF       Draw_line_vert_3310_page_2_L0+0, 0
	SUBWF      Draw_line_vert_3310_page_1_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Draw_line_vert_331054
;nokia3310_lib_2_wire.c,431 :: 		cursorxy(colonna, page_1);
	MOVF       FARG_Draw_line_vert_3310_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       Draw_line_vert_3310_page_1_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,432 :: 		writedata (_data);
	MOVF       Draw_line_vert_3310__data_L0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_2_wire.c,433 :: 		page_1 ++;
	INCF       Draw_line_vert_3310_page_1_L0+0, 1
;nokia3310_lib_2_wire.c,434 :: 		}
	GOTO       L_Draw_line_vert_331053
L_Draw_line_vert_331054:
;nokia3310_lib_2_wire.c,436 :: 		cursorxy(colonna, temp_1);
	MOVF       FARG_Draw_line_vert_3310_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       Draw_line_vert_3310_temp_1_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,437 :: 		if (colore) writedata (Byte_LOW [Y1]); // OR con il dato presente in memoria                                                // Byte_LOW [X1] | Read_Data (0xFF, colonna)
	MOVF       FARG_Draw_line_vert_3310_colore+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Draw_line_vert_331055
	MOVLW      _Byte_LOW+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_Byte_LOW+0)
	MOVWF      FSR0H
	MOVF       FARG_Draw_line_vert_3310_Y1+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_Draw_line_vert_331056
L_Draw_line_vert_331055:
;nokia3310_lib_2_wire.c,438 :: 		else writedata (0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
L_Draw_line_vert_331056:
;nokia3310_lib_2_wire.c,440 :: 		cursorxy(colonna, temp_2);
	MOVF       FARG_Draw_line_vert_3310_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       Draw_line_vert_3310_temp_2_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,441 :: 		if (colore) writedata (Byte_HIGH [Y2]); // OR con il dato presente in memoria
	MOVF       FARG_Draw_line_vert_3310_colore+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Draw_line_vert_331057
	MOVLW      _Byte_HIGH+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_Byte_HIGH+0)
	MOVWF      FSR0H
	MOVF       FARG_Draw_line_vert_3310_Y2+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_Draw_line_vert_331058
L_Draw_line_vert_331057:
;nokia3310_lib_2_wire.c,443 :: 		else writedata (0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
L_Draw_line_vert_331058:
;nokia3310_lib_2_wire.c,444 :: 		}
L_end_Draw_line_vert_3310:
	RETURN
; end of _Draw_line_vert_3310

_Dec_BCD_Short:

;nokia3310_lib_2_wire.c,446 :: 		void Dec_BCD_Short (unsigned short Value, unsigned short page, unsigned short colonna) {
;nokia3310_lib_2_wire.c,450 :: 		cursorxy(colonna, page);
	MOVF       FARG_Dec_BCD_Short_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       FARG_Dec_BCD_Short_page+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,453 :: 		interi = Value / 100 ;                   // unit
	MOVLW      100
	MOVWF      R4
	MOVF       FARG_Dec_BCD_Short_Value+0, 0
	MOVWF      R0
	CALL       _Div_8X8_U+0
	MOVF       R0, 0
	MOVWF      Dec_BCD_Short_interi_L0+0
;nokia3310_lib_2_wire.c,454 :: 		buffer = Value - (interi * 100) ;
	MOVLW      100
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	SUBWF      FARG_Dec_BCD_Short_Value+0, 0
	MOVWF      FLOC__Dec_BCD_Short+0
;nokia3310_lib_2_wire.c,455 :: 		decimi = buffer / 10;                  // decimi
	MOVLW      10
	MOVWF      R4
	MOVF       FLOC__Dec_BCD_Short+0, 0
	MOVWF      R0
	CALL       _Div_8X8_U+0
	MOVF       R0, 0
	MOVWF      Dec_BCD_Short_decimi_L0+0
;nokia3310_lib_2_wire.c,456 :: 		centesimi = buffer - (decimi * 10) ;
	MOVLW      10
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	SUBWF      FLOC__Dec_BCD_Short+0, 0
	MOVWF      Dec_BCD_Short_centesimi_L0+0
;nokia3310_lib_2_wire.c,458 :: 		if (page >= 6) return;
	MOVLW      6
	SUBWF      FARG_Dec_BCD_Short_page+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Dec_BCD_Short59
	GOTO       L_end_Dec_BCD_Short
L_Dec_BCD_Short59:
;nokia3310_lib_2_wire.c,460 :: 		if (interi == 0) putchar(32);  // se interi = 0, non visualizzarlo
	MOVF       Dec_BCD_Short_interi_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Dec_BCD_Short60
	MOVLW      32
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
	GOTO       L_Dec_BCD_Short61
L_Dec_BCD_Short60:
;nokia3310_lib_2_wire.c,461 :: 		else putchar(interi+48);
	MOVLW      48
	ADDWF      Dec_BCD_Short_interi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
L_Dec_BCD_Short61:
;nokia3310_lib_2_wire.c,463 :: 		putchar(decimi+48);
	MOVLW      48
	ADDWF      Dec_BCD_Short_decimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
;nokia3310_lib_2_wire.c,465 :: 		putchar(centesimi+48);
	MOVLW      48
	ADDWF      Dec_BCD_Short_centesimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
;nokia3310_lib_2_wire.c,467 :: 		}
L_end_Dec_BCD_Short:
	RETURN
; end of _Dec_BCD_Short

_Decimale_BCD:

;nokia3310_lib_2_wire.c,476 :: 		void Decimale_BCD (unsigned int Value, unsigned short page, unsigned short colonna, unsigned short Width) {
;nokia3310_lib_2_wire.c,479 :: 		if (Value >= 9999) Value = 9999;
	MOVLW      39
	SUBWF      FARG_Decimale_BCD_Value+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Decimale_BCD107
	MOVLW      15
	SUBWF      FARG_Decimale_BCD_Value+0, 0
L__Decimale_BCD107:
	BTFSS      STATUS+0, 0
	GOTO       L_Decimale_BCD62
	MOVLW      15
	MOVWF      FARG_Decimale_BCD_Value+0
	MOVLW      39
	MOVWF      FARG_Decimale_BCD_Value+1
L_Decimale_BCD62:
;nokia3310_lib_2_wire.c,480 :: 		cursorxy(colonna, page);
	MOVF       FARG_Decimale_BCD_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       FARG_Decimale_BCD_page+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_2_wire.c,482 :: 		interi = Value / 1000 ;                   // unit
	MOVLW      232
	MOVWF      R4
	MOVLW      3
	MOVWF      R5
	MOVF       FARG_Decimale_BCD_Value+0, 0
	MOVWF      R0
	MOVF       FARG_Decimale_BCD_Value+1, 0
	MOVWF      R1
	CALL       _Div_16X16_U+0
	MOVF       R0, 0
	MOVWF      Decimale_BCD_interi_L0+0
;nokia3310_lib_2_wire.c,483 :: 		buffer = Value - (interi * 1000) ;
	MOVLW      0
	MOVWF      R1
	MOVLW      232
	MOVWF      R4
	MOVLW      3
	MOVWF      R5
	CALL       _Mul_16X16_U+0
	MOVF       R0, 0
	SUBWF      FARG_Decimale_BCD_Value+0, 0
	MOVWF      FLOC__Decimale_BCD+0
	MOVF       R1, 0
	SUBWFB     FARG_Decimale_BCD_Value+1, 0
	MOVWF      FLOC__Decimale_BCD+1
;nokia3310_lib_2_wire.c,484 :: 		decimi = buffer / 100;                  // decimi
	MOVLW      100
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	MOVF       FLOC__Decimale_BCD+0, 0
	MOVWF      R0
	MOVF       FLOC__Decimale_BCD+1, 0
	MOVWF      R1
	CALL       _Div_16X16_U+0
	MOVF       R0, 0
	MOVWF      Decimale_BCD_decimi_L0+0
;nokia3310_lib_2_wire.c,485 :: 		buffer = buffer - (decimi * 100) ;
	MOVLW      100
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	SUBWF      FLOC__Decimale_BCD+0, 1
	MOVF       R1, 0
	SUBWFB     FLOC__Decimale_BCD+1, 1
;nokia3310_lib_2_wire.c,486 :: 		centesimi = buffer / 10;
	MOVLW      10
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	MOVF       FLOC__Decimale_BCD+0, 0
	MOVWF      R0
	MOVF       FLOC__Decimale_BCD+1, 0
	MOVWF      R1
	CALL       _Div_16X16_U+0
	MOVF       R0, 0
	MOVWF      Decimale_BCD_centesimi_L0+0
;nokia3310_lib_2_wire.c,487 :: 		millesimi = buffer - (centesimi * 10) ;
	MOVLW      10
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	SUBWF      FLOC__Decimale_BCD+0, 0
	MOVWF      Decimale_BCD_millesimi_L0+0
;nokia3310_lib_2_wire.c,489 :: 		if (page > 5) return;
	MOVF       FARG_Decimale_BCD_page+0, 0
	SUBLW      5
	BTFSC      STATUS+0, 0
	GOTO       L_Decimale_BCD63
	GOTO       L_end_Decimale_BCD
L_Decimale_BCD63:
;nokia3310_lib_2_wire.c,490 :: 		if (Width.F6) { goto Decimale_BCD_loop; }
	BTFSS      FARG_Decimale_BCD_Width+0, 6
	GOTO       L_Decimale_BCD64
	GOTO       ___Decimale_BCD_Decimale_BCD_loop
L_Decimale_BCD64:
;nokia3310_lib_2_wire.c,492 :: 		if (interi == 0 && Width.F5 == 1) putchar(32);
	MOVF       Decimale_BCD_interi_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Decimale_BCD68
	BTFSS      FARG_Decimale_BCD_Width+0, 5
	GOTO       L_Decimale_BCD68
L__Decimale_BCD80:
	MOVLW      32
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
	GOTO       L_Decimale_BCD69
L_Decimale_BCD68:
;nokia3310_lib_2_wire.c,493 :: 		else putchar(interi+48);
	MOVLW      48
	ADDWF      Decimale_BCD_interi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
L_Decimale_BCD69:
;nokia3310_lib_2_wire.c,494 :: 		colonna += 6;
	MOVLW      6
	ADDWF      FARG_Decimale_BCD_colonna+0, 1
;nokia3310_lib_2_wire.c,495 :: 		if (Width.F5 == 0) {
	BTFSC      FARG_Decimale_BCD_Width+0, 5
	GOTO       L_Decimale_BCD70
;nokia3310_lib_2_wire.c,496 :: 		putchar(',');
	MOVLW      44
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
;nokia3310_lib_2_wire.c,497 :: 		colonna += 3;
	MOVLW      3
	ADDWF      FARG_Decimale_BCD_colonna+0, 1
;nokia3310_lib_2_wire.c,498 :: 		}
L_Decimale_BCD70:
;nokia3310_lib_2_wire.c,500 :: 		Decimale_BCD_loop:
___Decimale_BCD_Decimale_BCD_loop:
;nokia3310_lib_2_wire.c,501 :: 		putchar(decimi+48);
	MOVLW      48
	ADDWF      Decimale_BCD_decimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
;nokia3310_lib_2_wire.c,502 :: 		colonna += 6;
	MOVLW      6
	ADDWF      FARG_Decimale_BCD_colonna+0, 1
;nokia3310_lib_2_wire.c,503 :: 		putchar(centesimi+48);
	MOVLW      48
	ADDWF      Decimale_BCD_centesimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
;nokia3310_lib_2_wire.c,504 :: 		colonna += 6;
	MOVLW      6
	ADDWF      FARG_Decimale_BCD_colonna+0, 1
;nokia3310_lib_2_wire.c,505 :: 		if (Width.F6) {
	BTFSS      FARG_Decimale_BCD_Width+0, 6
	GOTO       L_Decimale_BCD71
;nokia3310_lib_2_wire.c,506 :: 		putchar(',');
	MOVLW      44
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
;nokia3310_lib_2_wire.c,507 :: 		colonna += 3;
	MOVLW      3
	ADDWF      FARG_Decimale_BCD_colonna+0, 1
;nokia3310_lib_2_wire.c,508 :: 		putchar(millesimi+48);
	MOVLW      48
	ADDWF      Decimale_BCD_millesimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
;nokia3310_lib_2_wire.c,509 :: 		}
	GOTO       L_Decimale_BCD72
L_Decimale_BCD71:
;nokia3310_lib_2_wire.c,510 :: 		else putchar(millesimi+48);
	MOVLW      48
	ADDWF      Decimale_BCD_millesimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CALL       _putchar+0
L_Decimale_BCD72:
;nokia3310_lib_2_wire.c,526 :: 		}
L_end_Decimale_BCD:
	RETURN
; end of _Decimale_BCD

_Delay_msec:

;Gest_Nokia_2_fili.c,76 :: 		void Delay_msec (unsigned int count_delay) {
;Gest_Nokia_2_fili.c,78 :: 		for (count_delay; count_delay > 0; count_delay --) {
L_Delay_msec73:
	MOVF       FARG_Delay_msec_count_delay+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Delay_msec109
	MOVF       FARG_Delay_msec_count_delay+0, 0
	SUBLW      0
L__Delay_msec109:
	BTFSC      STATUS+0, 0
	GOTO       L_Delay_msec74
;Gest_Nokia_2_fili.c,79 :: 		Delay_ms (1) ;
	MOVLW      11
	MOVWF      R12
	MOVLW      98
	MOVWF      R13
L_Delay_msec76:
	DECFSZ     R13, 1
	GOTO       L_Delay_msec76
	DECFSZ     R12, 1
	GOTO       L_Delay_msec76
	NOP
;Gest_Nokia_2_fili.c,80 :: 		asm {clrwdt}
	CLRWDT
;Gest_Nokia_2_fili.c,78 :: 		for (count_delay; count_delay > 0; count_delay --) {
	MOVLW      1
	SUBWF      FARG_Delay_msec_count_delay+0, 1
	MOVLW      0
	SUBWFB     FARG_Delay_msec_count_delay+1, 1
;Gest_Nokia_2_fili.c,81 :: 		}
	GOTO       L_Delay_msec73
L_Delay_msec74:
;Gest_Nokia_2_fili.c,82 :: 		}
L_end_Delay_msec:
	RETURN
; end of _Delay_msec

_interrupt:

;Gest_Nokia_2_fili.c,86 :: 		void interrupt () {
;Gest_Nokia_2_fili.c,88 :: 		}
L_end_interrupt:
L__interrupt111:
	RETFIE     %s
; end of _interrupt

_main:

;Gest_Nokia_2_fili.c,92 :: 		void main() {
;Gest_Nokia_2_fili.c,93 :: 		unsigned int temp_16=0;
	CLRF       main_temp_16_L0+0
	CLRF       main_temp_16_L0+1
;Gest_Nokia_2_fili.c,95 :: 		Init_PIC();             // Inizilizzazione micro
	CALL       _Init_PIC+0
;Gest_Nokia_2_fili.c,96 :: 		Delay_msec(255);
	MOVLW      255
	MOVWF      FARG_Delay_msec_count_delay+0
	CLRF       FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;Gest_Nokia_2_fili.c,97 :: 		initlcd();           // Inizilizzazione GLCD
	CALL       _initlcd+0
;Gest_Nokia_2_fili.c,98 :: 		clearram();
	CALL       _clearram+0
;Gest_Nokia_2_fili.c,99 :: 		Write_Bitmap(1);   Delay_msec(2000);  clearram();
	MOVLW      1
	MOVWF      FARG_Write_Bitmap_bmp+0
	CALL       _Write_Bitmap+0
	MOVLW      208
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      7
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
	CALL       _clearram+0
;Gest_Nokia_2_fili.c,100 :: 		LED_LCD = 1;      // LED LCD Nokia ON
	BSF        _value_lcd+0, 5
;Gest_Nokia_2_fili.c,102 :: 		while (1) {
L_main77:
;Gest_Nokia_2_fili.c,104 :: 		led2 ^= 1;
	MOVLW
	XORWF      LATC0_bit+0, 1
;Gest_Nokia_2_fili.c,105 :: 		Delay_msec(200);
	MOVLW      200
	MOVWF      FARG_Delay_msec_count_delay+0
	CLRF       FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;Gest_Nokia_2_fili.c,106 :: 		temp_16 ++;
	INCF       main_temp_16_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       main_temp_16_L0+1, 1
;Gest_Nokia_2_fili.c,108 :: 		Write_String ("JUMBO elettr.", 0, 5);
	MOVLW      ?lstr1_Gest_Nokia_2_fili+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(?lstr1_Gest_Nokia_2_fili+0)
	MOVWF      FARG_Write_String_string+1
	CLRF       FARG_Write_String_Page+0
	MOVLW      5
	MOVWF      FARG_Write_String_colonna+0
	CALL       _Write_String+0
;Gest_Nokia_2_fili.c,109 :: 		Write_String ("Ciao, ciao", 0x81, 5);
	MOVLW      ?lstr2_Gest_Nokia_2_fili+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(?lstr2_Gest_Nokia_2_fili+0)
	MOVWF      FARG_Write_String_string+1
	MOVLW      129
	MOVWF      FARG_Write_String_Page+0
	MOVLW      5
	MOVWF      FARG_Write_String_colonna+0
	CALL       _Write_String+0
;Gest_Nokia_2_fili.c,111 :: 		cursorxy(4, 3); putstr("By-By, Hallo!");
	MOVLW      4
	MOVWF      FARG_cursorxy_x+0
	MOVLW      3
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
	MOVLW      ?lstr_3_Gest_Nokia_2_fili+0
	MOVWF      FARG_putstr_s+0
	MOVLW      hi_addr(?lstr_3_Gest_Nokia_2_fili+0)
	MOVWF      FARG_putstr_s+1
	CALL       _putstr+0
;Gest_Nokia_2_fili.c,113 :: 		cursorxy(4, 4); putstr(jumbo);
	MOVLW      4
	MOVWF      FARG_cursorxy_x+0
	MOVLW      4
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
	MOVLW      _jumbo+0
	MOVWF      FARG_putstr_s+0
	MOVLW      hi_addr(_jumbo+0)
	MOVWF      FARG_putstr_s+1
	CALL       _putstr+0
;Gest_Nokia_2_fili.c,115 :: 		Dec_BCD_Short (temp_16, 2, 10);
	MOVF       main_temp_16_L0+0, 0
	MOVWF      FARG_Dec_BCD_Short_Value+0
	MOVLW      2
	MOVWF      FARG_Dec_BCD_Short_page+0
	MOVLW      10
	MOVWF      FARG_Dec_BCD_Short_colonna+0
	CALL       _Dec_BCD_Short+0
;Gest_Nokia_2_fili.c,116 :: 		Decimale_BCD (temp_16, 5, 20, 0x20);
	MOVF       main_temp_16_L0+0, 0
	MOVWF      FARG_Decimale_BCD_Value+0
	MOVF       main_temp_16_L0+1, 0
	MOVWF      FARG_Decimale_BCD_Value+1
	MOVLW      5
	MOVWF      FARG_Decimale_BCD_page+0
	MOVLW      20
	MOVWF      FARG_Decimale_BCD_colonna+0
	MOVLW      32
	MOVWF      FARG_Decimale_BCD_Width+0
	CALL       _Decimale_BCD+0
;Gest_Nokia_2_fili.c,118 :: 		}
	GOTO       L_main77
;Gest_Nokia_2_fili.c,120 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
